BareMetal API, REST: PrivateCloudConnection.ListPrivateCloudConnections
Retrieves the list of Private cloud connection resources in the specified folder.
https://google.aip.dev/130 --)
HTTP request
GET https://baremetal.api.cloud.yandex.net/baremetal/v2/clouds/{cloudId}/folders/{folderId}/privateCloudConnections
Path parameters
|
Field |
Description |
|
cloudId |
string Required field. ID of the parent cloud. To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request. |
|
folderId |
string Required field. ID of the folder to list private cloud connections in. The maximum string length in characters is 50. Value must match the regular expression |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set |
|
orderBy |
string Sorting order for the listing. Follows the AIP-132 Supported fields: |
|
filter |
string Filter expression following AIP-160 Supported fields and operators:
Example: |
Response
HTTP Code: 200 - OK
{
"privateCloudConnections": [
{
"privateCloudConnectionId": "string",
"cloudId": "string",
"folderId": "string",
"vrfId": "string",
"routingInstanceId": "string",
"state": "string",
"name": "string",
"createTime": "string",
"updateTime": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
privateCloudConnections[] |
List of Private cloud connection resources. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than |
PrivateCloudConnection
A Private cloud connection resource.
|
Field |
Description |
|
privateCloudConnectionId |
string ID of the private cloud connection. |
|
cloudId |
string ID of the cloud that the private cloud connection belongs to. |
|
folderId |
string ID of the folder that the private cloud connection belongs to. |
|
vrfId |
string ID of VRF that is connected to routing Instance. |
|
routingInstanceId |
string ID of Cloud Router Routing Instance. |
|
state |
enum (State) State of the private cloud connection.
|
|
name |
string Name of the private cloud connection. |
|
createTime |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
updateTime |
string (date-time) Updafe timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |